## synaescope synaescope — Creates video visualizations of audio input, using stereo and pitch information |

## Synopsis

    struct              GstSynaeScope;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseAudioVisualizer
                         +----GstSynaeScope

## Description

Synaescope is an audio visualisation element. It analyzes frequencies and out-of phase properties of audio and draws this as clouds of stars.

### Example launch line

    1
    gst-launch audiotestsrc ! audioconvert ! synaescope ! ximagesink

## Synopsis

### Element Information

plugin | audiovisualizers
author | Stefan Kost <ensonic@users.sf.net>
class | Visualization

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)2, endianness=(int)1234, width=(int)16, depth=(int)16, signed=(boolean)true

name | src
direction | source
presence | always
details | video/x-raw-rgb, bpp=(int)32, depth=(int)24, endianness=(int)4321, red_mask=(int)65280, green_mask=(int)16711680, blue_mask=(int)-16777216, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstSynaeScope

    struct GstSynaeScope;

## See Also

goom